Package org.apache.sysds.runtime.io

## Class ReaderTextCSV

- java.lang.Object
- - org.apache.sysds.runtime.io.MatrixReader
  - - org.apache.sysds.runtime.io.ReaderTextCSV

-     public class ReaderTextCSV
      extends MatrixReader

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReaderTextCSV​(FileFormatPropertiesCSV props)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MatrixBlock` | `readMatrixFromHDFS​(String fname, long rlen, long clen, int blen, long estnnz)` |
    `MatrixBlock` | `readMatrixFromInputStream​(InputStream is, long rlen, long clen, int blen, long estnnz)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReaderTextCSV

          public ReaderTextCSV​(FileFormatPropertiesCSV props)

  - ### Method Detail

    - #### readMatrixFromHDFS

          public MatrixBlock readMatrixFromHDFS​(String fname,
                                                long rlen,
                                                long clen,
                                                int blen,
                                                long estnnz)
                                         throws IOException,
                                                DMLRuntimeException

      Specified by:
        `readMatrixFromHDFS` in class `MatrixReader`
      Throws:
        `IOException`
        `DMLRuntimeException`

    - #### readMatrixFromInputStream

          public MatrixBlock readMatrixFromInputStream​(InputStream is,
                                                       long rlen,
                                                       long clen,
                                                       int blen,
                                                       long estnnz)
                                                throws IOException,
                                                       DMLRuntimeException

      Specified by:
        `readMatrixFromInputStream` in class `MatrixReader`
      Throws:
        `IOException`
        `DMLRuntimeException`